'use strict';
define([
  'angular',
  'widgets/mapapp/mouseposition/controllers/gcMousePositionController',
  'widgets/mapapp/mouseposition/directives/gcMousePosition',
  'angular-strap',
  'angular-strap.tpl',

  'angular-route',

  'toastr',
  'ol3js',
  'ng-table',
], function(angular, gcmousepositionController, gcmouseposition) {
  // generation du module
  var map = angular.module('gc_mouseposition', [
    'mgcrea.ngStrap',
    'ngRoute',
    'pascalprecht.translate',
  ]);
  // ajout service

  // ajout controller
  // map.controller('gcMousePositionController',gcmousepositionController);
  // ajout directive
  map.directive('gcmouseposition', gcmouseposition);

  // ajout factory

  //route provider

  return map;
});
